Package org.optaplanner.core.impl.heuristic.selector.value.decorator

## Class FilteringValueSelector.JustInTimeFilteringValueIterator

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.selector.common.iterator.SelectionIterator<S>
  - - org.optaplanner.core.impl.heuristic.selector.common.iterator.UpcomingSelectionIterator<Object>
    - - org.optaplanner.core.impl.heuristic.selector.value.decorator.FilteringValueSelector.JustInTimeFilteringValueIterator

- All Implemented Interfaces:
    `Iterator<Object>`
  Enclosing class:
    FilteringValueSelector

      protected class FilteringValueSelector.JustInTimeFilteringValueIterator
      extends UpcomingSelectionIterator<Object>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.UpcomingSelectionIterator

      `hasUpcomingSelection, upcomingCreated, upcomingSelection`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JustInTimeFilteringValueIterator​(Iterator<Object> childValueIterator, long bailOutSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Object` | `createUpcomingSelection()` |

    - ### Methods inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.UpcomingSelectionIterator

      `hasNext, next, noUpcomingSelection, toString`

    - ### Methods inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.SelectionIterator

      `remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### JustInTimeFilteringValueIterator

          public JustInTimeFilteringValueIterator​(Iterator<Object> childValueIterator,
                                                  long bailOutSize)

  - ### Method Detail

    - #### createUpcomingSelection

          protected Object createUpcomingSelection()

      Specified by:
        `createUpcomingSelection` in class `UpcomingSelectionIterator<Object>`